import request from '@/services/http.request.js'

/* 获取首页轮播图 */
export function fetchHomeCarousel() {
    return request({
        url: '/product/carousel',
        method: 'GET'
    })
}

/* 商品首页金刚区分类 */
export function fetchHomeNavbar(params) {
    return request({
        url: '/product/home/type',
        method: 'GET',
        params
    })
}

/* 获取首页商品楼层信息 */
export function fetchHomeFloorData(params) {
    return request({
        url: '/product/home/init',
        method: 'GET',
        params
    })
}

/* 获取首页优惠券 */
export function fetchHomeCouponList(params) {
    return request({
        url: '/coupon/home',
        method: 'GET',
        params
    })
}